Subject: Re: I-D ACTION:draft-ansari-forces-discovery-00.txt

From: "Khosravi, Hormuzd M" <[email-masked]>
Date: Sun, 1 Aug 2004 21:20:35 -0700

Thanks Alex, for your comments. 
 
I think these are good points, we will add more text to the draft to
clarify some of these points.
I hope you will get the chance to chat with Furquan during the meeting,

regards
Hormuzd

________________________________

From: Forwarding and Control Element Separation
[mailto:[email-masked]] On Behalf Of Alex Audu
Sent: Saturday, July 31, 2004 8:10 AM
To: [email-masked]
Subject: Re: [FORCES] I-D ACTION:draft-ansari-forces-discovery-00.txt

Hi Furquan and Hormuzd,
 
I made a quick read of this draft a few hours ago, and these are my
comments:
 
1) Generalyy, I like the draft, but it needs to define or be aware of
interaction with 
    the ForCES-pl. By that, I mean, forces-pl has topology-request
messages, and how
    this plays with the protocol you are prosposing needs to be stated
clearly.
 
2) How does the protocol react when FEs are removed by management with
FE-DOWN
    request messages?  I would expect a graceful reaction. It shouldn't
go lunch an
    asynchronous report of neighbor unreachability to the CE, since CE
already is aware of
    the removal.
 
3)  This thing is going to be sending neighbor-hello messages. It will
be nice to ensure
     such messages are not too frequent; FE outage and removal is
dectected and reported
     to the CE by the protocol/transport layers already.
 
4) One of the proposed features of the protocol is to:
     "   . Determine respective element capabilities"
    This function is already done by  forces-pl. Why duplicate it here?
      
5)  I am not sure I understand the state machine,..it is missing most of
the transition 
     trigger events, and the available transitions don't seem to be
transiting from the 
     appropriate states.
     For example, what drives transition from  NO_BINDING state to the
pseudo-state
     where hello messages are exchanged? It looks like the "loss of
association" event
     should transit from DISCOVERY state.
 
Thanks,
Alex.